/*-------------------------------------------------------------------
  All code is provided for EDUCATIONAL purposes ONLY. There is no
  warranty and no support.

  hdc1080.h - hdc1080 header file

  2018-12-23 written
-------------------------------------------------------------------*/

#ifndef _HDC1080_H_
#define _HDC1080_H_ 1

#define HDC1080_ADDRESS_W          0b10000000
#define HDC1080_ADDRESS_R          0b10000001
#define HDC1080_TEMPERATURE_PTR    0
#define HDC1080_HUMIDITY_PTR       1
#define HDC1080_CONFIG_PTR         2
#define HDC1080_DEVICE_ID_PTR      0xff

// Functions

unsigned char hdc1080_read_humidity( unsigned *puiHumidity );
unsigned char hdc1080_read_temperature( int *piTemp );
unsigned char hdc1080_write_config( unsigned char ucConfigReg );

#endif
